
proc setup_gui { record_list } {

	add_main_window_to_gui "Auto Optimization - All Except Table"

	set row 1

	add_motor_to_gui $row $record_list "omega" "Monochromator (omega)"

	incr row

	add_motor_to_gui $row $record_list "chi" "Monochromator (chi)"

	incr row

#        add_motor_to_gui $row $record_list "vmirror_z" "Mirror (vertical)"

        incr row

        add_motor_to_gui $row $record_list "bv_center" "Slits (vertical)"

        incr row

        add_motor_to_gui $row $record_list "bh_center" "Slits (horizontal)"

        incr row

	add_buttons_to_gui

	wm deiconify .
}

proc main { record_list } {

	log_puts "Moving vertical slit size to 2000 um."

	move_motor $record_list "bv_size" 2000.0

	log_puts "Moving horizontal slit size to 2000 um."

	move_motor $record_list "bh_size" 2000.0

	log_puts "Starting 'omega' optimization scan."

	optimize_to_peak $record_list "omega"

	log_puts "Starting 'chi' optimization scan."

	optimize_to_peak $record_list "chi"

#        log_puts "Starting 'vmirror_z' optimization scan."

#        optimize_to_peak $record_list "vmirror_z"

	log_puts "Moving slit sizes to 200 by 2000 um."

	move_motor $record_list "bv_size" 200.0

        log_puts "Starting 'bv_center' optimization scan."

        optimize_to_peak $record_list "bv_center"

        log_puts "Moving slit sizes to 1000 by 200 um."

        move_motor $record_list "bv_size" 1000.0

        move_motor $record_list "bh_size" 200.0

        log_puts "Starting 'bh_center'  optimization scan."

        optimize_to_peak $record_list "bh_center"

	log_puts "Moving slit sizes to 200 by 200 um."

	move_motor $record_list "bv_size" 200.0

	log_puts "*** Auto optimization complete. ***"

	return
}

